# vim: set sw=4 ts=4 et nu:

Name:               h264enc
Version:            9.4.0
Release:            0.pm.1.1
Summary:            H.264/MPEG-4 Encoder Frontend
# http://prdownloads.sourceforge.net/h264enc/h264enc-%{version}.tar.gz
Source:             h264enc-%{version}.tar.gz
Patch1:             h264enc-fix_path.patch
URL:                http://h264enc.sourceforge.net
Group:              Productivity/Multimedia/Video/Editors and Convertors
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
Requires:           MPlayer
Requires:           x264
Requires:           lsdvd
Requires:           ogmtools
Requires:           gpac
Requires:           mkvtoolnix
Requires:           vorbis-tools
Requires:           flac
Requires:           faac
Requires:           bc
Requires:           pv
# not actually needed, just in order to make the build fail if those
# dependencies are not available in our repository:
BuildRequires:      MPlayer
BuildRequires:      x264
BuildRequires:      lsdvd
BuildRequires:      ogmtools
BuildRequires:      gpac
BuildRequires:      mkvtoolnix
BuildRequires:      vorbis-tools
BuildRequires:      flac
BuildRequires:      faac
BuildRequires:      bc
BuildRequires:      pv
BuildArch:          noarch

%description
h264enc is an advanced and powerful interactive menu-driven shell script
written for the GNU/Linux operating system which can help you to encode a DVD,
a video file, a directory with video files or a (S)VCD to the H.264/MPEG-4 Part
10/AVC video format using the MEncoder encoder from the MPlayer project and the
libx264 library. It supports muxing the final encode from AVI to Matroska, from
AVI to OGM, from AVI to TS and from AVI to the MP4 container. 

h264enc is written in a way to be useful for power users yet it is also very
user friendly for people who are novices when it comes to video encoding.
h264enc operates by asking questions to the user, collecting the input and
passing it over to the encoder software. One of its unique features is the
ability to use built-in video quality presets. This is especially useful to
people who are just starting to encode video. 

h264enc has a total of 61 video quality presets ranging from Ultra Low Quality
to Near Lossless Quality - one can even write his own preset file and use it
for the encoding. It further has the ability to auto-detect a lot of things
like DVD/(S)VCD titles, chapters, subtitles, audio streams, and it supports
frequently used video filters like scale, crop, dering, deblock, denoise,
noise, deband, (un)sharp mask/gaussian blur, software equalizer, deinterlace,
interlace, inverse telecine/pullup and hard telecine/3:2 pulldown.

%prep
%setup -q
%patch1

%build

%install
%__install -D -m0755 h264enc "%{buildroot}%{_bindir}/h264enc"
%__install -d "%{buildroot}%{_mandir}/man1/"
%__install -m0644 man/*.1 "%{buildroot}%{_mandir}/man1/"
%__install -d "%{buildroot}%{_datadir}/h264enc"
%__install -m0644 matrices/* "%{buildroot}%{_datadir}/h264enc/"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc doc/*
%{_bindir}/h264enc
%dir %{_datadir}/h264enc
%{_datadir}/h264enc/*
%doc %{_mandir}/man1/h264enc.1%{ext_man}

%changelog
* Sat Aug 20 2011 neutrino8@gmail.com
- Disable mbtree in multipass mode to prevent segfaulting MEncoder due to differences in
  frames amount in the passlog file. Disabling mbtree reduces quality but saves us a crash
  in MEncoder
- Notify the user that the script does not support AAC in AVI anymore. Also exit if user
  has not selected any of the other supported containers
* Mon Aug  8 2011 neutrino8@gmail.com
- Bugfix: selecting the x264 internal denoiser does nothing due to missing $nr variable in the MEncoder options
* Sat Jul 23 2011 neutrino8@gmail.com
- Update the mq, nq, hq, vhq, ehq, uhq and ihq presets. Increase subme by 1. For the ihq
  preset, this means that it uses subme 11 now which requires latest x264 from git
* Sun May 15 2011 neutrino8@gmail.com
- Removed the ssim and psnr options from the presets.
  Should only be used for benchmarking
* Mon Apr  4 2011 neutrino8@gmail.com
- Fixed the subtitles function which got broken when the
  get_selection_func() function got introduced
* Tue Mar 29 2011 neutrino8@gmail.com
- Added support for setting the crop rounding value
* Sun Mar 27 2011 neutrino8@gmail.com
- Update to version 9.3.4
* Thu Jul 22 2010 pascal@links2linux.de
- initial package
